Module org.hdfgroup.hdfview
Package hdf.view

# Enum Class ViewProperties.DataViewType

Object
Enum<ViewProperties.DataViewType>
hdf.view.ViewProperties.DataViewType

All Implemented Interfaces:
  `Serializable`, `Comparable<ViewProperties.DataViewType>`, `Constable`

Enclosing class:
  `ViewProperties`

public static enum ViewProperties.DataViewType extends Enum<ViewProperties.DataViewType>
Used to create different DataViews for a given HObject.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IMAGE`
  `METADATA`
  `PALETTE`
  `TABLE`
  `TREEVIEW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ViewProperties.DataViewType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ViewProperties.DataViewType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TABLE

    public static final ViewProperties.DataViewType TABLE

  - ### IMAGE

    public static final ViewProperties.DataViewType IMAGE

  - ### PALETTE

    public static final ViewProperties.DataViewType PALETTE

  - ### METADATA

    public static final ViewProperties.DataViewType METADATA

  - ### TREEVIEW

    public static final ViewProperties.DataViewType TREEVIEW

- ## Method Details

  - ### values

    public static ViewProperties.DataViewType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ViewProperties.DataViewType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null